#ifndef MARS_MHSigmabarTheta
#define MARS_MHSigmabarTheta

#ifndef MARS_MH
#include "MH.h"
#endif

#ifndef ROOT_TH2
#include "TH2.h"
#endif

class MMcEvt;
class MSigmabar;
class TH2D;
class MParList;


class MHSigmabarTheta : public MH
{
private:
    MMcEvt    *fMcEvt;        //!
    MSigmabar *fSigmabar;     //!

    TH2D fHist;

public:
    MHSigmabarTheta(const char *name=NULL, const char *title=NULL);

    virtual Bool_t SetupFill(const MParList *pList);
    virtual Bool_t Fill(const MParContainer *par);

    const TH2D *GetHist()       { return &fHist; }
    const TH2D *GetHist() const { return &fHist; }

    TH1 *GetHistByName(const TString name) { return &fHist; }

    void Draw(Option_t *option="");
    TObject *DrawClone(Option_t *option="") const;

    ClassDef(MHSigmabarTheta, 1) //3D-histogram in alpha, Energy and theta
};

#endif





